Bug 23075 - Update request: kernel-4.14.44-2.mga6
Summary: Update request: kernel-4.14.44-2.mga6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal critical
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: mga6-64-ok, mga6-32-ok
Keywords: advisory, validated_update
Depends on: 22930 22977 23062
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-23 09:25 CEST by Thomas Backlund
Modified: 2018-06-05 06:51 CEST (History)
10 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments
fails to terminal after update (683.46 KB, application/zip)
2018-05-26 18:29 CEST, Brian Rockwell
Details
wifi and battery occasionally fail on kenrel 4.14.44 (43.41 KB, application/x-xz)
2018-05-26 22:00 CEST, Morgan Leijström
Details
journal output repeating text in tty2 (6.97 KB, text/plain)
2018-05-27 00:23 CEST, ben mcmonagle
Details

Description Thomas Backlund 2018-05-23 09:25:40 CEST
Spectre v4 mitigations + other security and bugfixes... advisory will follow

virtualbox kmods will be built after current virtualbox update is pushed...


SRPMS:
kernel-4.14.43-1.mga6.src.rpm
kernel-userspace-headers-4.14.43-1.mga6.src.rpm

kmod-xtables-addons-2.13-35.mga6.src.rpm



i586:
cpupower-4.14.43-1.mga6.i586.rpm
cpupower-devel-4.14.43-1.mga6.i586.rpm
kernel-desktop-4.14.43-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.43-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.43-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.43-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.43-1.mga6.i586.rpm
kernel-desktop-devel-4.14.43-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.43-1.mga6.i586.rpm
kernel-desktop-latest-4.14.43-1.mga6.i586.rpm
kernel-doc-4.14.43-1.mga6.noarch.rpm
kernel-server-4.14.43-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.43-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.43-1.mga6.i586.rpm
kernel-server-latest-4.14.43-1.mga6.i586.rpm
kernel-source-4.14.43-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.43-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.43-1.mga6.i586.rpm
perf-4.14.43-1.mga6.i586.rpm

xtables-addons-kernel-4.14.43-desktop-1.mga6-2.13-35.mga6.i586.rpm
xtables-addons-kernel-4.14.43-desktop586-1.mga6-2.13-35.mga6.i586.rpm
xtables-addons-kernel-4.14.43-server-1.mga6-2.13-35.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-35.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-35.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-35.mga6.i586.rpm



x86_64:
cpupower-4.14.43-1.mga6.x86_64.rpm
cpupower-devel-4.14.43-1.mga6.x86_64.rpm
kernel-desktop-4.14.43-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.43-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.43-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.43-1.mga6.x86_64.rpm
kernel-doc-4.14.43-1.mga6.noarch.rpm
kernel-server-4.14.43-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.43-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.43-1.mga6.x86_64.rpm
kernel-server-latest-4.14.43-1.mga6.x86_64.rpm
kernel-source-4.14.43-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.43-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.43-1.mga6.x86_64.rpm
perf-4.14.43-1.mga6.x86_64.rpm

xtables-addons-kernel-4.14.43-desktop-1.mga6-2.13-35.mga6.x86_64.rpm
xtables-addons-kernel-4.14.43-server-1.mga6-2.13-35.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-35.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-35.mga6.x86_64.rpm
Thomas Backlund 2018-05-23 09:27:53 CEST

Depends on: (none) => 23062, 22977, 22930

Comment 1 Morgan Leijström 2018-05-23 13:02:28 CEST
On real 64 bit hardware, runs OK, in use from now on

- cpupower-4.14.43-1.mga6.x86_64
- kernel-desktop-4.14.43-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.43-1.mga6.x86_64
- kernel-desktop-devel-4.14.43-1.mga6-1-1.mga6.x86_64.rpm
- kernel-desktop-devel-latest-4.14.43-1.mga6.x86_64.rpm
- kernel-userspace-headers-4.14.43-1.mga6.x86_64.rpm

In my workstation i7 installed and rebooted cleanly, 
Nvidia proprietary with CUDA & OpenCL detected OK in BOINC, LVM on LUKS, VirtualBox running MSW7, Plasma5.12 etc, video in Firefox,,, no hickup seen...

CC: (none) => fri

Comment 2 Morgan Leijström 2018-05-23 13:37:13 CEST
64 bit OK with kernel-desktop 4.14.43 on laptop Thinkpad T60, CPU core2Duo T5600, ati RV515/M54 X1400, wifi AR5418, LVM on LUKS, with all updates in testing including microcode and firmware (also true for comment 1).  Also resume from suspend and hibernation tested OK.
Comment 3 Herman Viaene 2018-05-23 16:03:53 CEST
MGA6-32 on IBM Thinkpad R50e Xfce
No installation issues including microcode (firmware done before).
No regressions found with usual set of tests documents, sound, video, pictures , newspaper site.
OK for me.

CC: (none) => herman.viaene

Comment 4 Len Lawrence 2018-05-23 16:33:41 CEST
Installed the desktop kernel.  Updated grub menu,  Warm reboot to Mate DE.

System:    Host: vega Kernel: 4.14.43-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790K (-HT-MCP-) speed/max: 4398/4400 MHz
Machine:   Device: desktop Mobo: Gigabyte model: G1.Sniper Z97 v: x.x
Graphics:  Card-2: NVIDIA GK104 [GeForce GTX 770]
           GLX Version: 4.6.0 NVIDIA 390.59
Network:   Card-1: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller
           driver: alx
RAM:       15.35 GB

Remote logins working.  Virtualbox driver rebuilt - guest systems launched OK.
Logged out and in to Gnome Classic then Plasma.  Both functional but there is still a problem with logging out from Plasma.

Continued testing in Mate.  Ran stress tests, various common applications.
Wifi printing, vlc, TV input, bluetooth sound - all good.

CC: (none) => tarazed25

Comment 5 William Kenney 2018-05-23 19:50:01 CEST
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 11:20:06 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.8-14.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

Reboot system.

"Sorry, but there has been a problem starting your graphical display.......Good luck :)"
message displayed. Then the boot freezes.

CC: (none) => wilcal.int

Comment 6 William Kenney 2018-05-23 20:08:44 CEST
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 10:01:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.8-14.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 9 packages are going to be installed:

- cpupower-4.14.43-1.mga6.x86_64
- kernel-desktop-4.14.43-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.43-1.mga6.x86_64
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- meta-task-6-2.1.mga6.noarch
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.40-desktop-1.mga6-5.2.12-1.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.12-1.mga6.x86_64

Reboot system.

"Sorry, but there has been a problem starting your graphical display.......Good luck :)"
message displayed. Then the boot freezes.
Comment 7 William Kenney 2018-05-23 21:52:56 CEST
On real hardware, M6, Plasma, 64-bit

Testing: kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 10:01:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest cpupower from updates testing

The following 7 packages are going to be installed:

- cpupower-4.14.43-1.mga6.x86_64
- kernel-desktop-4.14.43-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.43-1.mga6.x86_64
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- meta-task-6-2.1.mga6.noarch
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.43-desktop-1.mga6 #1 SMP Wed May 23 05:30:09 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.43-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.43-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Hardware used:

Intel Core i5-4460 Haswell Quad-Core 3.2GHz LGA 115
Gigabyte GA-B85M-D3H LGA 1150 Intel B85 chipset
Integrated Graphics Processor - Intel HD Graphics support
Audito chipset - Realtek ALC892, 7.1 channels
Corsair Vengeance 8GB ( 2 x 4GB ) 240-pin DDR3 SDRAM 1600
Comment 8 Len Lawrence 2018-05-23 23:53:28 CEST
Installed the desktop kernels on this laptop.
Booted to working Mate DE.

System:    Host: markab Kernel: 4.14.43-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-5700HQ (-HT-MCP-) speed/max: 2695/3500 MHz
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
RAM:       15.62 GB

Ran glmark2, stellarium, vlc video, mplayer for a wav file, MCC, wifi,
NFS shares, bluetooth sound.  All OK.
Comment 9 James Kerr 2018-05-24 09:58:59 CEST
on mga6-64

packages installed cleanly:
- cpupower-4.14.43-1.mga6.x86_64
- kernel-desktop-4.14.43-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.43-1.mga6.x86_64

system re-booted normally
$ uname -r
4.14.43-desktop-1.mga6

installed dkms-virtualbox and dependencies:
# dkms status -m virtualbox
virtualbox, 5.2.12-1.mga6, 4.14.43-desktop-1.mga6, x86_64: installed 
virtualbox, 5.2.12-1.mga6, 4.14.40-desktop-1.mga6, x86_64: installed-binary from 4.14.40-desktop-1.mga6

vbox and clients launched normally

This kernel looks OK on this system:
Machine:   Device: desktop System: Dell product: Precision Tower 3620
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530

CC: (none) => jim

Comment 10 James Kerr 2018-05-24 15:41:05 CEST
on mga6-64 in a vbox VM

packages installed cleanly:
- cpupower-4.14.43-1.mga6.x86_64
- iwlwifi-firmware-20180518-1.mga6.nonfree.noarch
- kernel-desktop-4.14.43-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.43-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.43-1.mga6.x86_64
- kernel-desktop-latest-4.14.43-1.mga6.x86_64
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- kernel-userspace-headers-4.14.43-1.mga6.x86_64
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- ralink-firmware-20180518-1.mga6.nonfree.noarch
- rtlwifi-firmware-20180518-1.mga6.nonfree.noarch

VM restarted normally:
$ uname -r
4.14.43-desktop-1.mga6
# dkms status -m vboxadditions
vboxadditions, 5.2.12-1.mga6, 4.14.40-desktop-1.mga6, x86_64: installed 
vboxadditions, 5.2.12-1.mga6, 4.14.43-desktop-1.mga6, x86_64: installed 

no regressions noted

looks OK for mga6-64 in a vbox VM.
Comment 11 James Kerr 2018-05-25 10:08:48 CEST
on mga6-32  in a vbox VM

packages installed cleanly:
- cpupower-4.14.43-1.mga6.i586
- kernel-desktop-4.14.43-1.mga6-1-1.mga6.i586
- kernel-desktop-devel-4.14.43-1.mga6-1-1.mga6.i586
- kernel-desktop-devel-latest-4.14.43-1.mga6.i586
- kernel-desktop-latest-4.14.43-1.mga6.i586
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- kernel-userspace-headers-4.14.43-1.mga6.i586
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch

VM re-launched normally:
$ uname -r
4.14.43-desktop-1.mga6
# dkms status -m vboxadditions
vboxadditions, 5.2.12-1.mga6, 4.14.43-desktop-1.mga6, i586: installed 
vboxadditions, 5.2.12-1.mga6, 4.14.40-desktop-1.mga6, i586: installed 
vboxadditions, 5.2.12-1.mga6, 4.14.40-desktop-1.mga6, i586: installed-binary from 4.14.40-desktop-1.mga6

no regressions noted

OK for mga6-32 in a vbox VM
Comment 12 Morgan Leijström 2018-05-25 14:32:42 CEST
Now tested 64 bit OK on kernel 4.14.43-1.3 from http://ftp.free.fr/mirrors/mageia.org/people/tmb/mga6/bugs/23060/ bug 203060 on my i7 and Core2duo, same machines and tests as comment 1 and comment 2 above.
Comment 13 Morgan Leijström 2018-05-25 14:33:41 CEST
I meant bug 23060
Comment 14 Thomas Backlund 2018-05-25 17:28:07 CEST
This one will be rebuilt to pick up the fixes from bug 23060

Keywords: (none) => feedback

Comment 15 Thomas Backlund 2018-05-26 01:28:22 CEST
Updated to 4.14.44 for more security fixes, and to add fix for bug 23060

so new rpms to test:

SRPMS:
kernel-4.14.44-1.mga6.src.rpm
kernel-userspace-headers-4.14.44-1.mga6.src.rpm

kmod-xtables-addons-2.13-36.mga6.src.rpm



i586:
cpupower-4.14.44-1.mga6.i586.rpm
cpupower-devel-4.14.44-1.mga6.i586.rpm
kernel-desktop-4.14.44-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.44-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.44-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.44-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.44-1.mga6.i586.rpm
kernel-desktop-devel-4.14.44-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.44-1.mga6.i586.rpm
kernel-desktop-latest-4.14.44-1.mga6.i586.rpm
kernel-doc-4.14.44-1.mga6.noarch.rpm
kernel-server-4.14.44-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.44-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.44-1.mga6.i586.rpm
kernel-server-latest-4.14.44-1.mga6.i586.rpm
kernel-source-4.14.44-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.44-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.44-1.mga6.i586.rpm
perf-4.14.44-1.mga6.i586.rpm

xtables-addons-kernel-4.14.44-desktop-1.mga6-2.13-36.mga6.i586.rpm
xtables-addons-kernel-4.14.44-desktop586-1.mga6-2.13-36.mga6.i586.rpm
xtables-addons-kernel-4.14.44-server-1.mga6-2.13-36.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-36.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-36.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-36.mga6.i586.rpm



x86_64:
cpupower-4.14.44-1.mga6.x86_64.rpm
cpupower-devel-4.14.44-1.mga6.x86_64.rpm
kernel-desktop-4.14.44-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.44-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.44-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.44-1.mga6.x86_64.rpm
kernel-doc-4.14.44-1.mga6.noarch.rpm
kernel-server-4.14.44-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.44-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.44-1.mga6.x86_64.rpm
kernel-server-latest-4.14.44-1.mga6.x86_64.rpm
kernel-source-4.14.44-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.44-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.44-1.mga6.x86_64.rpm
perf-4.14.44-1.mga6.x86_64.rpm

xtables-addons-kernel-4.14.44-desktop-1.mga6-2.13-36.mga6.x86_64.rpm
xtables-addons-kernel-4.14.44-server-1.mga6-2.13-36.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-36.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-36.mga6.x86_64.rpm

Summary: Update request: kernel-4.14.43-1.mga6 => Update request: kernel-4.14.44-1.mga6
Keywords: feedback => (none)

Comment 16 ben mcmonagle 2018-05-26 07:13:22 CEST
real 32 bit hardware

AMD Athlon(tm) XP 2400+

Flags:fpu vme de pse tsc msr pae mce cx8 apic sep mtrr 
pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 
3dnowext 3dnow cpuid 3dnowprefetch vmmcall

uname -a
Linux localhost.localdomain 4.14.38-desktop-1.mga6 #1 SMP Mon Apr 30 12:19:02 UTC 2018 i686 i686 i686 GNU/Linux


To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       4.14.43      1.mga6        i586    
  kernel-desktop-4.14.43-1.mga6  1            1.mga6        i586    
  kernel-desktop-latest          4.14.43      1.mga6        i586    
(medium "Nonfree Updates Testing (distrib15)")
  kernel-firmware-nonfree        20180518     1.mga6.nonfr> noarch  
  microcode                      0.20180425   1.mga6.nonfr> noarch  
  radeon-firmware                20180518     1.mga6.nonfr> noarch  

reboot.

uname -a
Linux localhost.localdomain 4.14.43-desktop-1.mga6 #1 SMP Wed May 23 05:16:22 UTC 2018 i686 i686 i686 GNU/Linux

re-enable wifi, otherwise no issues noted.

looks like I need to redo for .44-1

CC: (none) => westel

Comment 17 James Kerr 2018-05-26 11:01:34 CEST
on mga6-64  plasma

packages installed cleanly:
- cpupower-4.14.44-1.mga6.x86_64
- kernel-desktop-4.14.44-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.44-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.44-1.mga6.x86_64
- kernel-desktop-latest-4.14.44-1.mga6.x86_64
- kernel-userspace-headers-4.14.44-1.mga6.x86_64

system re-booted normally:
$ uname -r
4.14.44-desktop-1.mga6
# dkms status -m virtualbox
virtualbox, 5.2.12-1.mga6, 4.14.44-desktop-1.mga6, x86_64: installed 

vbox and clients (mga6-64 and mga6-32) launched normally

common applications OK

OK for mga6-64 on this system:
Machine:   Device: desktop System: Dell product: Precision Tower 3620
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530
Comment 18 Morgan Leijström 2018-05-26 15:58:53 CEST
Testing 64 bit kernel-desktop-4.14.44-1:

OK on same workstation and tests as comment 2 (and comment 12)

BUT weird on the laptop T60 (CPU core2Duo T5600, ati RV515/M54 X1400, wifi AR5418)
First reboot it was OK, incl resuming from suspend and hibernate.
But on second reboot:
1) Wifi died after a minute or so after watching an internet video
2) No battery tray icon in Plasma tray
3) No Plasma menu choices for suspend or hibernate

I will try more and post logs later.
Comment 19 Brian Rockwell 2018-05-26 18:29:32 CEST
Created attachment 10192 [details]
fails to terminal after update

XFCE x86-64.   VBox VM

After updates the system fails to terminal.  Usual graphics server unable to start.  Able to reboot back to 4.14.40

- cpupower-4.14.44-1.mga6.x86_64
- iwlwifi-firmware-20180518-1.mga6.nonfree.noarch
- kernel-desktop-4.14.44-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.44-1.mga6.x86_64
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- meta-task-6-2.1.mga6.noarch
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.40-desktop-1.mga6-5.2.12-1.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.12-1.mga6.x86_64

Also added xtables and tablespace headers, that didn't help.

CC: (none) => brtians1

Comment 20 James Kerr 2018-05-26 19:46:07 CEST
(In reply to Brian Rockwell from comment #19)

> - vboxadditions-kernel-4.14.40-desktop-1.mga6-5.2.12-1.mga6.x86_64

vboxadditions packages are not available yet for kernel 4.14.44. You need to use dkms.
Comment 21 James Kerr 2018-05-26 19:49:10 CEST
on mga6-32  in a vbox VM

packages installed cleanly:
- cpupower-4.14.44-1.mga6.i586
- kernel-desktop-4.14.44-1.mga6-1-1.mga6.i586
- kernel-desktop-devel-4.14.44-1.mga6-1-1.mga6.i586
- kernel-desktop-devel-latest-4.14.44-1.mga6.i586
- kernel-desktop-latest-4.14.44-1.mga6.i586
- kernel-userspace-headers-4.14.44-1.mga6.i586

VM re-launched normally:
$ uname -r
4.14.44-desktop-1.mga6
# dkms status -m vboxadditions
vboxadditions, 5.2.12-1.mga6, 4.14.43-desktop-1.mga6, i586: installed 
vboxadditions, 5.2.12-1.mga6, 4.14.44-desktop-1.mga6, i586: installed 

OK for mga6-64 in a vbox VM
Comment 22 James Kerr 2018-05-26 19:50:18 CEST
(In reply to James Kerr from comment #21)
> 
> OK for mga6-64 in a vbox VM

I meant OK for mga6-32 in a vbox VM
Comment 23 Morgan Leijström 2018-05-26 22:00:16 CEST
Created attachment 10196 [details]
wifi and battery occasionally fail on kenrel 4.14.44

Log for comment 18

First reboot was OK, this was second boot.
Three more boots could not repeat the problem.
So it is seldom. So *may* have been in earlier kernel i tested, comment 12 i just did not hit it then.

Regarding battery:
maj 25 11:15:42 kajsas kernel: ACPI: Battery Slot [BAT0] (battery present)
maj 25 11:18:08 kajsas kdeconnectd[5016]: kdeconnect.core: Not loading plugin "kdeconnect_battery" because device doesn't support it

regarding wifi: (much more lines than this are in the log)
maj 25 11:19:38 kajsas network[8013]: RTNETLINK answers: File exists
maj 25 11:19:38 kajsas network[8013]: RTNETLINK answers: File exists
maj 25 11:19:38 kajsas systemd[1]: network.service: Control process exited, code=exited status=1
maj 25 11:19:38 kajsas systemd[1]: Failed to start LSB: Bring up/down networking.
maj 25 11:19:38 kajsas systemd[1]: network.service: Unit entered failed state.
maj 25 11:19:38 kajsas kernel: audit: type=1130 audit(1527239978.960:270): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=network comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
maj 25 11:19:38 kajsas audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=network comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
maj 25 11:19:38 kajsas systemd[1]: network.service: Failed with result 'exit-code'.
Comment 24 William Kenney 2018-05-26 22:08:15 CEST
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 10:01:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.8-14.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 9 packages are going to be installed:

- cpupower-4.14.44-1.mga6.x86_64
- kernel-desktop-4.14.44-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.44-1.mga6.x86_64
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- meta-task-6-2.1.mga6.noarch
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.40-desktop-1.mga6-5.2.12-1.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.12-1.mga6.x86_64

Reboot

No MATE GUI.

Boots to a terminal, no GUI and the "Good Luck" message.

Update fail.
Comment 25 Brian Rockwell 2018-05-26 22:51:15 CEST
$ uname -a
Linux localhost 4.14.44-desktop-1.mga6 #1 SMP Fri May 25 21:18:07 UTC 2018 i686 i686 i686 GNU/Linux

Athlon x2-3800, Nvidia 304 drivers

Firefox works
Chromium works

However, there is considerable degradation in performance.  Almost to no t functional.
Comment 26 Brian Rockwell 2018-05-26 23:02:39 CEST
The degradation appears to be mostly in Chromium, we may need to look at a conflict.  Firefox and other programs are working acceptably.
Comment 27 Morgan Leijström 2018-05-27 00:11:21 CEST
Now i have booted other kernels to compare video on my laptop.

Interesting: kernel-desktop-4.14.38 once now got exactly the same symptoms as documented in comment 23 and comment 18, so not new for .44.  But it hits rarely.

--

I forgot to tell before that my tests on my workstation and laptop is with all available updates in all three updates_testing (main, nonfree, tainted) installed.  Reminds me i time to take backup again.

--

Interesting about videos on firefox compared to chromium, playing i.e news program "rapport" on svtplay.se:
On this laptop in full screen firefox sound occasionally stutters slightly, have a kind of vibrato, at the same time both CPU cores are maxed out.  With smaller window all is well.
When i play the same in chromium full screen sound is perfect, cores are not entirely maxed, but video is not as smooth.  So it seems chromium throttles the framerate to not max the CPU, and sound is not affected.

The performance in playing this video seem to be (very slightly) better on kernel .40, .43, .44, than on .25 while .38 may be in the middle.
Comment 28 ben mcmonagle 2018-05-27 00:21:59 CEST
real 32 bit hardware

$ uname -a
Linux localhost.localdomain 4.14.43-desktop-1.mga6 #1 SMP Wed May 23 05:16:22 UTC 2018 i686 i686 i686 GNU/Linux


AMD Athlon(tm) XP 2400+
Architecture:  i686
CPU op-mode(s):32-bit


Flags:fpu vme de pse tsc msr pae mce cx8 apic sep mtrr 
      pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 
      3dnowext 3dnow cpuid 3dnowprefetch vmmcall



To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       4.14.44      1.mga6        i586    
  kernel-desktop-4.14.44-1.mga6  1            1.mga6        i586    
  kernel-desktop-devel-4.14.44-> 1            1.mga6        i586    
  kernel-desktop-devel-latest    4.14.44      1.mga6        i586    
  kernel-desktop-latest          4.14.44      1.mga6        i586   

reboot.

uname -r
4.14.44-desktop-1.mga6

wifi up correctly but after a short while disconnects
usb device detected initially but after a short while disconnects 
video playback (vlc) from usb starts but freezes after a short while

tty2 is full of repeating text, see attched
Comment 29 ben mcmonagle 2018-05-27 00:23:00 CEST
Created attachment 10197 [details]
journal output repeating text in tty2
Comment 30 ben mcmonagle 2018-05-27 00:23:51 CEST
and unable to shut unit down, due to repeating text on screen
Comment 31 Brian Rockwell 2018-05-27 00:35:44 CEST
Ran XFdrake and set up proprietary driver again.  Working better now on Chromium.

Integrated nvidia 6150LE.
Comment 32 Thomas Andrews 2018-05-27 02:44:30 CEST
Real 32-bit hardware

Dell Inspiron 5100, old P4, 1GB RAM, Radeon Mobility 7500 graphics, old Atheros wifi. Running a Plasma 5.12.2 system from a usb drive (no internal hard drive yet), using the VESA video driver because Plasma doesn't like the radeon driver, wifi using ath5k driver.

Updated to 32-bit desktop kernel 4.14.44, including new microcodes and nonfree firmwares. 

Rebooted to a working desktop. Firefox works, so wifi must still work. Played some of a mp4 Godzilla movie with vlc. Both looked good. Doubtful that any of the new microcodes or firmware actually affect this system.

Few apps installed on this system at this time, so I didn't try anything else. But, I would say this kernel is OK on this hardware

CC: (none) => andrewsfarm

Comment 33 Thomas Backlund 2018-05-27 10:58:27 CEST
(In reply to ben mcmonagle from comment #28)
> real 32 bit hardware

 
> wifi up correctly but after a short while disconnects
> usb device detected initially but after a short while disconnects 
> video playback (vlc) from usb starts but freezes after a short while
> 
> tty2 is full of repeating text, see attched

And this does not happend on the earlier 4.14.43-1 ?
Comment 34 Len Lawrence 2018-05-27 13:00:32 CEST
Updated the desktop kernels on this laptop.
Booted to working Mate DE.

System:    Host: markab Kernel: 4.14.44-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-5700HQ (-HT-MCP-)
Machine:   Device: laptop System: GIGABYTE product: X5
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
           GLX Version: 4.6.0 NVIDIA 390.59
Network:   Card-2: Intel Wireless 7265 driver: iwlwifi
RAM:       15.62 GB

Ran stress tests, stellarium, graphics and video applications.  Wifi,
NFS shares, bluetooth sound all OK.
Comment 35 ben mcmonagle 2018-05-27 22:16:20 CEST
(In reply to Thomas Backlund from comment #33)
> (In reply to ben mcmonagle from comment #28)
> > real 32 bit hardware
> 
>  
> > wifi up correctly but after a short while disconnects
> > usb device detected initially but after a short while disconnects 
> > video playback (vlc) from usb starts but freezes after a short while
> > 
> > tty2 is full of repeating text, see attached
> 
> And this does not happen on the earlier 4.14.43-1 ?


no (see comment 16)
Comment 36 PC LX 2018-05-28 10:58:38 CEST
Installed and tested without regressions.

Kernel: kernel-desktop-4.14.44-1.mga6-1-1.mga6

System: Mageia 6, x86_64, Plasma DE, LXQt DE, Intel CPU, nVidia GPU using nvidia340 proprietary driver.

Tests: Three boot cycles of desktop usage with lots of program tested. No regressions noticed.

$ uname -a
Linux marte 4.14.44-desktop-1.mga6 #1 SMP Fri May 25 18:36:33 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux                                                                                        
$ rpm -qa | egrep -i '4\.14\.44|dkms' | sort
cpupower-4.14.44-1.mga6
dkms-2.0.19-39.mga6
dkms-minimal-2.0.19-39.mga6
dkms-nvidia340-340.106-1.mga6.nonfree
dkms-virtualbox-5.2.12-1.mga6
kernel-desktop-4.14.44-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.44-1.mga6-1-1.mga6
kernel-desktop-devel-latest-4.14.44-1.mga6
kernel-desktop-latest-4.14.44-1.mga6
kernel-userspace-headers-4.14.44-1.mga6
perf-4.14.44-1.mga6
$ lspcidrake
snd_hda_intel   : Intel Corporation|82801JI (ICH10 Family) HD Audio Controller [MULTIMEDIA_AUDIO_DEV]
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (rev: a2)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #2 [SERIAL_USB]
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [NETWORK_ETHERNET] (rev: 02)
shpchp          : Intel Corporation|4 Series Chipset PCI Express Root Port [BRIDGE_PCI] (rev: 03)
lpc_ich         : Intel Corporation|82801JIB (ICH10) LPC Interface Controller [BRIDGE_ISA]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #5 [SERIAL_USB]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 1 [BRIDGE_PCI]
pata_jmicron    : JMicron Technology Corp.|JMB368 IDE controller [STORAGE_IDE]
ata_piix        : Intel Corporation|82801JI (ICH10 Family) 4 port SATA IDE Controller #1 [STORAGE_IDE]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 3 [BRIDGE_PCI]
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #1 [SERIAL_USB]
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #2 [SERIAL_USB]
snd_hda_intel   : NVIDIA Corporation|High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: a1)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #1 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #4 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #3 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #6 [SERIAL_USB]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Port 2 [BRIDGE_PCI]
unknown         : Intel Corporation|4 Series Chipset DRAM Controller [BRIDGE_HOST] (rev: 03)
i2c_i801        : Intel Corporation|82801JI (ICH10 Family) SMBus Controller [SERIAL_SMBUS]
unknown         : Intel Corporation|82801 PCI Bridge [BRIDGE_PCI] (rev: 90)
ata_piix        : Intel Corporation|82801JI (ICH10 Family) 2 port SATA IDE Controller #2 [STORAGE_IDE]
hub             : Linux 4.14.44-desktop-1.mga6 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usb_storage     : Generic|Mass Storage Device [Mass Storage|SCSI|Bulk-Only]
hub             : Linux 4.14.44-desktop-1.mga6 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Genesys Logic, Inc.|USB2.0 Hub [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.44-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.44-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.44-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.44-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
Mouse:evdev     : Logitech|USB Receiver [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 4.14.44-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.44-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_logitech    : Logitech USB Receiver
hid_logitech    : Logitech USB Receiver

CC: (none) => mageia

Comment 37 Thomas Backlund 2018-05-29 01:08:04 CEST

Added a few more regression fixes, so the kernels are now:

SRPMS:
kernel-4.14.44-2.mga6.src.rpm
kernel-userspace-headers-4.14.44-2.mga6.src.rpm


i586:
cpupower-4.14.44-2.mga6.i586.rpm
cpupower-devel-4.14.44-2.mga6.i586.rpm
kernel-desktop-4.14.44-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.44-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.44-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.44-2.mga6.i586.rpm
kernel-desktop586-latest-4.14.44-2.mga6.i586.rpm
kernel-desktop-devel-4.14.44-2.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.44-2.mga6.i586.rpm
kernel-desktop-latest-4.14.44-2.mga6.i586.rpm
kernel-doc-4.14.44-2.mga6.noarch.rpm
kernel-server-4.14.44-2.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.44-2.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.44-2.mga6.i586.rpm
kernel-server-latest-4.14.44-2.mga6.i586.rpm
kernel-source-4.14.44-2.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.44-2.mga6.noarch.rpm
kernel-userspace-headers-4.14.44-2.mga6.i586.rpm
perf-4.14.44-2.mga6.i586.rpm


x86_64:
cpupower-4.14.44-2.mga6.x86_64.rpm
cpupower-devel-4.14.44-2.mga6.x86_64.rpm
kernel-desktop-4.14.44-2.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.44-2.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.44-2.mga6.x86_64.rpm
kernel-desktop-latest-4.14.44-2.mga6.x86_64.rpm
kernel-doc-4.14.44-2.mga6.noarch.rpm
kernel-server-4.14.44-2.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.44-2.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.44-2.mga6.x86_64.rpm
kernel-server-latest-4.14.44-2.mga6.x86_64.rpm
kernel-source-4.14.44-2.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.44-2.mga6.noarch.rpm
kernel-userspace-headers-4.14.44-2.mga6.x86_64.rpm
perf-4.14.44-2.mga6.x86_64.rpm





@ben: does this one work without usb crash ?

Summary: Update request: kernel-4.14.44-1.mga6 => Update request: kernel-4.14.44-2.mga6

Comment 38 ben mcmonagle 2018-05-29 09:11:02 CEST
real 32 bit hardware LXDE 

$ uname -r
4.14.44-desktop-1.mga6



AMD Athlon(tm) XP 2400+
Architecture:  i686
CPU op-mode(s):32-bit


Flags:fpu vme de pse tsc msr pae mce cx8 apic sep mtrr 
      pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 
      3dnowext 3dnow cpuid 3dnowprefetch vmmcall



To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       4.14.44      2.mga6        i586    
  kernel-desktop-4.14.44-2.mga6  1            1.mga6        i586    
  kernel-desktop-devel-4.14.44-> 1            1.mga6        i586    
  kernel-desktop-devel-latest    4.14.44      2.mga6        i586    
  kernel-desktop-latest          4.14.44      2.mga6        i586  

reboot.

uname -r
4.14.44-desktop-2.mga6

wifi up correctly
usb device detected and file manager lauched.
video (and sound) .mp4 playback (vlc) ok

(In reply to Thomas Backlund from comment #37)
> 

> 
> @ben: does this one work without usb crash ?

Yes, looks good, and tty2 has no repeating text
Comment 39 Morgan Leijström 2018-05-29 09:21:01 CEST
Three 64 bit mga6 systems updated to kernel 4.14.44-2
They all are using all updates from {main, nonfree, tainted}_testing repos.

For my workstation and laptop spec and tests see comment 1 & comment 2

The third is my wife's Acer Aspire7; Intel EFI, LVM on LUKS, intel GPU, some wifi.

No regressions noted so far.

I will try more reboots on my laptop and see if i can repeat the problems occasionally hit, see comment 18, 23, 27.

The Aspire7 have same problem as ever, fail resuming from hibernation (Bug 22804), but suspend is OK. At that bug is also lspci -v output.
Comment 40 Morgan Leijström 2018-05-29 10:26:50 CEST
A fourth 64 bit system fully updated to testing: Thinkpad T61 with nvidia driver.
All OK except resuming from hibernation dont work, which i think was working in the past but i have forgot when.  Will maybe investigate further later, no more time now.
Comment 41 Morgan Leijström 2018-05-29 10:45:54 CEST
About performance: According to BOINC manager the day average performance increased 7% when i went from 4.14.3x kernels to 4.14.4x  :)

( This measurement is not entirely scientific as points generated also depends on project but i keep to one project and the increase happened the date i updated to .40 kernel. Could also be some change in project engine, point calculation etc... ) 

This is on intel i7 and i let BOINC use 7 of 8 threads.
Comment 42 Thomas Andrews 2018-05-29 14:19:46 CEST
On real hardware, HP 6550b (i3, 8GB, Intel graphics, Intel wifi).

64-bit Plasma system, using the desktop kernel. 

Installed kernel 4.14.44-2 and associated packages. This install does include VirtualBox, but not dkms-virtualbox, because the pre-built kmods can't be adequately tested if those kmods are built locally. That part will have to wait.

Packages installed cleanly, and reboot was successful. Used it this morning to read my local morning newspaper, and cruised through Facebook. No issues noted, so far.

Be aware that under kernel 4.14.40, suspend/resume while under battery would sometimes work, and sometimes not. I never did ascertain the circumstances under which it failed. It did seem that the longer it was suspended, the more likely it was to not resume, but I have no definitive evidence of this. I have not checked suspend/resume with this kernel yet, so I may be back.
Comment 43 Thomas Andrews 2018-05-29 14:40:14 CEST
Tried suspend/resume four times, once for long enough to trigger a failure - if time was indeed a factor before. No problems noted.
Comment 44 James Kerr 2018-05-29 15:33:44 CEST
on mga6-64  plasma

updated to kernel 4.14.44-2

$ uname -r
4.14.44-desktop-2.mga6
# dkms status -m virtualbox
virtualbox, 5.2.12-1.mga6, 4.14.44-desktop-2.mga6, x86_64: installed 

no regressions noted

vbox and clients launched normally

OK for mga6-64 on this system:
Machine:   Device: desktop System: Dell product: Precision Tower 3620
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530
Comment 45 William Kenney 2018-05-29 18:35:43 CEST
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 10:01:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.8-14.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest and cpupower from updates testing

The following 9 packages are going to be installed:

- cpupower-4.14.44-2.mga6.x86_64
- kernel-desktop-4.14.44-2.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.44-2.mga6.x86_64
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- meta-task-6-2.1.mga6.noarch
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.40-desktop-1.mga6-5.2.12-1.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.12-1.mga6.x86_64

Reboot

No MATE GUI after reboot

Boots to a terminal and the "problem starting your graphical display" and "Good Luck" message is displayed.

Update fail
Comment 46 Thomas Backlund 2018-05-29 22:17:41 CEST
(In reply to William Kenney from comment #45)

 Reboot
> 
> No MATE GUI after reboot
> 
> Boots to a terminal and the "problem starting your graphical display" and
> "Good Luck" message is displayed.
> 
> Update fail

That's because you dont have matching virtualbox kmods...
Comment 47 Thomas Backlund 2018-05-29 22:18:24 CEST
As virtualbox 5.2.12 is now pushed.... here are the final set of kmods:

SRPMS:
kmod-vboxadditions-5.2.12-2.mga6.src.rpm
kmod-virtualbox-5.2.12-2.mga6.src.rpm
kmod-xtables-addons-2.13-38.mga6.src.rpm



i586:
vboxadditions-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.i586.rpm
vboxadditions-kernel-4.14.44-desktop586-2.mga6-5.2.12-2.mga6.i586.rpm
vboxadditions-kernel-4.14.44-server-2.mga6-5.2.12-2.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.12-2.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.12-2.mga6.i586.rpm

virtualbox-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.i586.rpm
virtualbox-kernel-4.14.44-desktop586-2.mga6-5.2.12-2.mga6.i586.rpm
virtualbox-kernel-4.14.44-server-2.mga6-5.2.12-2.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.12-2.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.12-2.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.12-2.mga6.i586.rpm

xtables-addons-kernel-4.14.44-desktop-2.mga6-2.13-38.mga6.i586.rpm
xtables-addons-kernel-4.14.44-desktop586-2.mga6-2.13-38.mga6.i586.rpm
xtables-addons-kernel-4.14.44-server-2.mga6-2.13-38.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-38.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-38.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-38.mga6.i586.rpm



x86_64:
vboxadditions-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.x86_64.rpm
vboxadditions-kernel-4.14.44-server-2.mga6-5.2.12-2.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.12-2.mga6.x86_64.rpm

virtualbox-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.x86_64.rpm
virtualbox-kernel-4.14.44-server-2.mga6-5.2.12-2.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.12-2.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.12-2.mga6.x86_64.rpm

xtables-addons-kernel-4.14.44-desktop-2.mga6-2.13-38.mga6.x86_64.rpm
xtables-addons-kernel-4.14.44-server-2.mga6-2.13-38.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-38.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-38.mga6.x86_64.rpm
Comment 48 William Kenney 2018-05-29 22:50:54 CEST
Thanks Thomas. I'll run the test again in the ( California time ) morning.
I'm sure it will work and we can push this kernel update.
Comment 49 Thomas Andrews 2018-05-30 14:16:23 CEST
Vbox kmods working on my HP 6550b laptop. I was able to run a Mageia 6 guest and a Windows XP guest without incident.
Comment 50 William Kenney 2018-05-30 19:00:10 CEST
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 11:20:06 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.12-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 6 packages are going to be installed:

- cpupower-4.14.44-2.mga6.i586
- kernel-desktop-4.14.44-2.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.44-2.mga6.i586
- meta-task-6-2.1.mga6.noarch
- vboxadditions-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.i586

[root@localhost wilcal]# uname -a
Linux localhost 4.14.44-desktop-2.mga6 #1 SMP Mon May 28 23:51:04 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.44-2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.44-2.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 51 William Kenney 2018-05-30 19:15:31 CEST
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 10:01:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.12-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 6 packages are going to be installed:

- cpupower-4.14.44-2.mga6.x86_64
- kernel-desktop-4.14.44-2.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.44-2.mga6.x86_64
- meta-task-6-2.1.mga6.noarch
- vboxadditions-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.44-desktop-2.mga6 #1 SMP Mon May 28 22:35:45 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.44-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.44-2.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 52 William Kenney 2018-05-30 19:52:11 CEST
In a Vbox client, M6, Plasma, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 11:20:06 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.8-14.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 9 packages are going to be installed:

- cpupower-4.14.44-2.mga6.i586
- kernel-desktop-4.14.44-2.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.44-2.mga6.i586
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- meta-task-6-2.1.mga6.noarch
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.i586

[root@localhost wilcal]# uname -a
Linux localhost 4.14.44-desktop-2.mga6 #1 SMP Mon May 28 23:51:04 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.44-2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.44-2.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 53 William Kenney 2018-05-30 20:07:17 CEST
In a Vbox client, M6, Plasma, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.40-desktop-1.mga6 #1 SMP Sat May 12 10:01:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.40-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.8-14.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.40-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 9 packages are going to be installed:

- cpupower-4.14.44-2.mga6.x86_64
- kernel-desktop-4.14.44-2.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.44-2.mga6.x86_64
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- meta-task-6-2.1.mga6.noarch
- microcode-0.20180425-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.44-desktop-2.mga6-5.2.12-2.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.44-desktop-2.mga6 #1 SMP Mon May 28 22:35:45 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.44-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.12-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.44-2.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 54 Thomas Backlund 2018-05-30 20:25:37 CEST
 Advisory (also added to svn):

type: security
subject: Updated kernel packages fix security vulnerabilities
CVE:
 - CVE-2018-1120
 - CVE-2018-3639
 - CVE-2018-1000200
src:
  6:
   core:
     - kernel-4.14.44-2.mga6
     - kernel-userspace-headers-4.14.44-2.mga6
     - kmod-vboxadditions-5.2.12-2.mga6
     - kmod-virtualbox-5.2.12-2.mga6
     - kmod-xtables-addons-2.13-38.mga6
     - wireguard-tools-0.0.20180519-1.mga6
description: |
  This kernel update is based on the upstream 4.14.44 and fixes atleast
  the following security issues:

  By mmap()ing a FUSE-backed file onto a process's memory containing command
  line arguments (or environment strings), an attacker can cause utilities
  from psutils or procps (such as ps, w) or any other program which makes a
  read() call to the /proc/<pid>/cmdline (or /proc/<pid>/environ) files to
  block indefinitely (denial of service) or for some controlled time (as a
  synchronization primitive for other attacks) (CVE-2018-1120).

  Speculative Store Bypass (SSB) – also known as Spectre Variant 4.
  Systems with microprocessors utilizing speculative execution and speculative
  execution of memory reads before the addresses of all prior memory writes
  are known may allow unauthorized disclosure of information to an attacker
  with local user access via a side-channel analysis (CVE-2018-3639).
  NOTE! This fix only apply to Amd hardware so far as Intel CPUs need a
  fixed microcode update in order for the fix to get activated. At the time
  of this release we dont yet know when Intel will release new microcode.

  A flaw was found in the Linux kernel where an out of memory (oom) killing
  of a process that has large spans of mlocked memory can result in
  deferencing a NULL pointer, leading to denial of service (CVE-2018-1000200).

  Note! In this kernel update we have for now reverted the security fix:
  'Predictable Random Number Generator Weakness (CVE-2018-1108)' that was
  part of the MGASA-2018-0249 security update as it caused several systems
  to stop booting properly (mga#23060).

  WireGuard has been updated to 0.0.20180519.

  For other fixes in this update, see the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=23075
 - https://bugs.mageia.org/show_bug.cgi?id=23060
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.41
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.42
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.43
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.44

Keywords: (none) => advisory

Comment 55 Thomas Andrews 2018-05-31 04:06:00 CEST
On real hardware, Athlon X2 7750, 8GB RAM, nvidia340 graphics, Atheros wifi. 

64-bit Plasma system, using the server kernel.

Packages installed without incident. Nvidia driver module was built, and I rebooted to a working desktop. Tried a few of the usual suspects, all work, including VirtualBox.

Looks OK on this hardware.
Comment 56 Thomas Backlund 2018-05-31 22:10:30 CEST
Enough tests..., validating

Keywords: (none) => validated_update
Whiteboard: (none) => mga6-64-ok, mga6-32-ok
CC: (none) => sysadmin-bugs

Comment 57 Mageia Robot 2018-05-31 22:35:09 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2018-0263.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED

Comment 58 Morgan Leijström 2018-06-05 06:51:37 CEST
Just a performance measurement update:

4.14.42-2 scores another 4%, i.e total 11 % faster than 4.14.30  :)

According to same test as comment 41

Note You need to log in before you can comment on or make changes to this bug.